Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235581 - Require(post)
Summary: Require(post)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: t1lib
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 15:57 UTC by Florian La Roche
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 5.1.0-9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-22 19:38:33 UTC


Attachments (Terms of Use)

Description Florian La Roche 2007-04-07 15:57:14 UTC
Description of problem:

ERROR: Output running post install script for package t1lib-0:5.1.0-8.fc6.i386
/usr/sbin/t1libconfig: line 47: find: command not found
/usr/sbin/t1libconfig: line 93: mkdir: command not found
/usr/sbin/t1libconfig: line 118: cat: command not found



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 José Matos 2007-04-21 23:09:31 UTC
OK, I tried to find its origin in my FC6 system:

$ rpm -qf `which find` `which mkdir` `which cat`
findutils-4.2.27-4.1
coreutils-5.97-12.5.fc6
coreutils-5.97-12.5.fc6

So I can understand the requirement for findutils, but coreutils. Is not there 
a minimum assumed system? I would expect coreutils to be in that requirement.

I will investigate further.

Comment 2 Florian La Roche 2007-04-22 10:03:26 UTC
While the comps file mentions these to be in all installed systems,
rpm itself does not add this dependency automatically. So installing
a fresh system with this rpm included, might not give the right
ordering results.

Btw: All rpms in Fedora Core right now do have the right dependencies
in their packages. (Except java rpms AFAIK.)

regards,

Florian La Roche

Comment 3 José Matos 2007-04-22 19:38:33 UTC
(In reply to comment #2)
> While the comps file mentions these to be in all installed systems,
> rpm itself does not add this dependency automatically. So installing
> a fresh system with this rpm included, might not give the right
> ordering results.

  That is a fair reason. :-)
  I think, after examining /usr/sbin/t1libconfig, that the only real 
dependency I have left is bash itself, but I expect that rpm requires it, so I 
should be safe here. :-)

  I have triggered the building of t1lib-5.1.0-9 where the requirement is 
added. I have update the package for F7, 6 and 5.

> regards,
> 
> Florian La Roche

The import line in patch is listed bellow:
+Requires(post): coreutils, findutils



Note You need to log in before you can comment on or make changes to this bug.